## org.codehaus.groovy.grails.orm.hibernate.support
Class SpringLobHandlerDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.SpringLobHandlerDetectorFactoryBean

All Implemented Interfaces:
  FactoryBean, InitializingBean

    public class SpringLobHandlerDetectorFactoryBean

extends Object
implements FactoryBean, InitializingBean

Attempts to auto-detect the LobHandler to use from the db meta data

Since:
  1.0
Author:
  Graeme Rocher

Constructor Summary
`SpringLobHandlerDetectorFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setDataSource(DataSource dataSource)`
`void` `setNativeJdbcExtractor(NativeJdbcExtractor nativeJdbcExtractor)`
`void` `setPooledConnection(boolean pooledConnection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringLobHandlerDetectorFactoryBean

    public SpringLobHandlerDetectorFactoryBean()

Method Detail

### setDataSource

    public void setDataSource(DataSource dataSource)

### setNativeJdbcExtractor

    public void setNativeJdbcExtractor(NativeJdbcExtractor nativeJdbcExtractor)

### setPooledConnection

    public void setPooledConnection(boolean pooledConnection)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Copyright (c) 2005-2009 The Grails project